<script lang="ts">
  import CardFront from "./CardFront.svelte";
  import Chip from "./icons/Chip.svelte";

  export let speech: Speech;
</script>

{#if speech.t === "No"}
  No, thank you!
{:else if speech.t === "Yes"}
  Yes, please! I'll take the
  <CardFront inline value={speech.card} />
  with
  <strong class="taken-chips">{speech.chips} <Chip /></strong>
  .
{/if}

<style>
  .taken-chips {
    white-space: nowrap;
  }
</style>
